Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-27623

Upgrade minimum require Java version from 6 to 7

    XMLWordPrintable

Details

    • Improvement
    • Resolution: Duplicate
    • Minor
    • core
    • None

    Description

      Oracle stopped providing free public support for Java 6 in Feb 2013.

      The Jenkins community should no longer be supporting running Jenkins on a JVM where the general community developers do not have access to a build of the JVM with the current security fixes applied as it may not be able to ascertain whether the security fixes in the "Premier Support" or "Extended Support" versions of Java 6 JVMs may be causing the issues running with Java 6.

      At this point in time (March 2015) Oracle is providing free public suppport for Jave 7 and Jave 8, and thus the minimum version of Java should be moved to Java 7.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              stephenconnolly Stephen Connolly
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: